import java.util.Iterator;

public abstract class Class35 {

   float aFloat386;
   float aFloat387;
   Class108 aClass108_388;
   Class32 aClass32_389;
   Class461 aClass461_390;
   Class106 aClass106_391;
   Class66 aClass66_392;
   Interface1 anInterface1_393;
   Class326 aClass326_394 = new Class326();
   int anInt395;
   float aFloat396;
   Class107 aClass107_397;
   Class326 aClass326_398 = new Class326();
   public static final float aFloat399 = Float.POSITIVE_INFINITY;
   Class326 aClass326_400 = new Class326();
   Class326 aClass326_401 = new Class326();
   Class326 aClass326_402 = new Class326();
   float aFloat403;
   Class423 aClass423_404 = new Class423(8);
   float aFloat405;
   Class43 aClass43_406;
   float aFloat407;
   float aFloat408 = 1.0F;
   Class30 aClass30_409;
   boolean aBool410;
   boolean aBool411;
   int anInt412 = 0;
   Class326 aClass326_413 = new Class326();
   float aFloat414;


   public Interface1 method881(byte var1) {
      return this.anInterface1_393;
   }

   void method882(boolean var1, int var2) {
      label18: {
         this.aClass108_388 = Class108.aClass108_1045;
         this.aClass32_389 = null;
         this.aClass461_390 = null;
         this.aClass106_391 = null;
         this.aClass66_392 = null;
         if(this.aClass107_397 != Class107.aClass107_1040) {
            if(var2 != -503107775) {
               ;
            }

            if(var1) {
               this.aClass30_409 = Class30.aClass30_364;
               break label18;
            }

            if(var2 != -503107775) {
               ;
            }
         }

         this.aClass30_409 = Class30.aClass30_365;
      }

      this.aClass43_406 = Class43.aClass43_454;
      this.aClass326_394.method5873(100.0F, 100.0F, 100.0F);
      this.aClass326_398.method5873(100.0F, 100.0F, 100.0F);
      this.aFloat396 = 0.05F;
      this.aClass326_400.method5873(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
      this.aClass326_401.method5873(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
      this.aClass326_402.method5873(1.0F, 1.0F, 1.0F);
      this.aClass326_413.method5873(1.0F, 1.0F, 1.0F);
      this.aFloat387 = 1.1F;
      this.aFloat405 = 1.1F;
      this.aFloat414 = 50.0F;
      this.aFloat407 = 10000.0F;
      this.aFloat403 = 1.5707964F;
      this.aFloat386 = 1.5707964F;
      this.anInt395 = -430820351;
      this.aBool410 = true;
      this.aBool411 = true;
      this.anInt412 = 0;
      this.aFloat408 = 1.0F;
      this.aClass423_404.method7212(1792698464);
   }

   public void method883(float var1, Class272 var2, int[][][] var3, byte var4) {
      if(this.aClass461_390 != null) {
         this.aClass461_390.method7772(var1, (byte)-68);
      }

      if(null != this.aClass66_392) {
         this.aClass66_392.method1415(var1, var2, var3, 413801991);
      }

      Iterator var5 = this.aClass423_404.iterator();

      while(var5.hasNext()) {
         Class225_Sub14_Sub13 var6 = (Class225_Sub14_Sub13)var5.next();
         var6.method16267(var1, -2073833403);
      }

   }

   public void method884(boolean var1, float var2, Class326 var3, Class321 var4, Class326 var5, Class326 var6, int var7) {
      if(this.aClass43_406 == Class43.aClass43_457) {
         Class310.method5539(var2, var3, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)13);
      } else if(this.aClass43_406 == Class43.aClass43_454) {
         Class477.method8048(var2, var3, var4, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)78);
      } else if(this.aClass43_406 == Class43.aClass43_456) {
         Class202.method3447(var2, var3, var4, var5, var6, var1?this.aClass326_413:this.aClass326_402, var1?this.aFloat405:this.aFloat387, (short)-28226);
      }

   }

   public void method885(float var1, Class272 var2, int[][][] var3) {
      if(this.aClass461_390 != null) {
         this.aClass461_390.method7772(var1, (byte)-20);
      }

      if(null != this.aClass66_392) {
         this.aClass66_392.method1415(var1, var2, var3, 755151637);
      }

      Iterator var4 = this.aClass423_404.iterator();

      while(var4.hasNext()) {
         Class225_Sub14_Sub13 var5 = (Class225_Sub14_Sub13)var4.next();
         var5.method16267(var1, 192886156);
      }

   }

   public Class326 method886(int var1) {
      return this.aClass326_394;
   }

   public Class66 method887(Class106 var1, boolean var2, int var3) throws Exception_Sub4 {
      if(Class30.aClass30_365 == this.aClass30_409 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass106_391 = var1;
         if(Class106.aClass106_1034 == var1) {
            this.aClass66_392 = new Class66_Sub2(this);
         } else if(Class106.aClass106_1036 == var1) {
            this.aClass66_392 = new Class66_Sub3(this);
         } else if(var1 == Class106.aClass106_1035) {
            this.aClass66_392 = new Class66_Sub1_Sub2(this);
         } else if(var1 == Class106.aClass106_1033) {
            this.aClass66_392 = new Class66_Sub1_Sub1(this);
         }

         return this.aClass66_392;
      }
   }

   boolean method888(int var1) {
      return Class107.aClass107_1040 == this.aClass107_397 && this.aClass30_409 == Class30.aClass30_365?true:Class107.aClass107_1039 == this.aClass107_397 && Class30.aClass30_364 == this.aClass30_409;
   }

   public Class326 method889() {
      return this.aClass326_400;
   }

   public void method890(float var1, byte var2) throws Exception_Sub4 {
      if(!this.method888(-115167416)) {
         if(var2 == 24) {
            ;
         }

         throw new Exception_Sub4();
      } else {
         this.aFloat396 = var1;
      }
   }

   public void method891(Class43 var1, int var2) throws Exception_Sub4 {
      if(!this.method888(640172509)) {
         if(var2 <= -1305895961) {
            ;
         }

         throw new Exception_Sub4();
      } else {
         this.aClass43_406 = var1;
      }
   }

   public void method892(Class326 var1, byte var2) throws Exception_Sub4 {
      if(this.method888(718453593) && this.aClass43_406.aBool455) {
         this.aClass326_400.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   void method893(boolean var1) {
      this.aClass108_388 = Class108.aClass108_1045;
      this.aClass32_389 = null;
      this.aClass461_390 = null;
      this.aClass106_391 = null;
      this.aClass66_392 = null;
      if(this.aClass107_397 != Class107.aClass107_1040 && var1) {
         this.aClass30_409 = Class30.aClass30_364;
      } else {
         this.aClass30_409 = Class30.aClass30_365;
      }

      this.aClass43_406 = Class43.aClass43_454;
      this.aClass326_394.method5873(100.0F, 100.0F, 100.0F);
      this.aClass326_398.method5873(100.0F, 100.0F, 100.0F);
      this.aFloat396 = 0.05F;
      this.aClass326_400.method5873(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
      this.aClass326_401.method5873(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
      this.aClass326_402.method5873(1.0F, 1.0F, 1.0F);
      this.aClass326_413.method5873(1.0F, 1.0F, 1.0F);
      this.aFloat387 = 1.1F;
      this.aFloat405 = 1.1F;
      this.aFloat414 = 50.0F;
      this.aFloat407 = 10000.0F;
      this.aFloat403 = 1.5707964F;
      this.aFloat386 = 1.5707964F;
      this.anInt395 = -430820351;
      this.aBool410 = true;
      this.aBool411 = true;
      this.anInt412 = 0;
      this.aFloat408 = 1.0F;
      this.aClass423_404.method7212(1020989389);
   }

   public void method894(Class326 var1, int var2) throws Exception_Sub4 {
      if(this.method888(465207074) && this.aClass43_406.aBool455) {
         this.aClass326_394.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method895(boolean var1, float var2, Class326 var3, Class321 var4, Class326 var5, Class326 var6) {
      if(this.aClass43_406 == Class43.aClass43_457) {
         Class310.method5539(var2, var3, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)13);
      } else if(this.aClass43_406 == Class43.aClass43_454) {
         Class477.method8048(var2, var3, var4, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)47);
      } else if(this.aClass43_406 == Class43.aClass43_456) {
         Class202.method3447(var2, var3, var4, var5, var6, var1?this.aClass326_413:this.aClass326_402, var1?this.aFloat405:this.aFloat387, (short)-26914);
      }

   }

   public void method896(Class326 var1, float var2, int var3) throws Exception_Sub4 {
      if(this.method888(-102614454) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aClass326_413.method5894(var1);
         this.aFloat387 = var2;
         this.aFloat405 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public float method897(byte var1) {
      return this.aFloat407;
   }

   public void method898(Class326 var1, float var2, int var3) throws Exception_Sub4 {
      if(this.method888(-746673677) && !this.aClass43_406.aBool455) {
         this.aClass326_413.method5894(var1);
         this.aFloat405 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method899(int var1, float var2) throws Exception_Sub4 {
      if(this.method888(597251336) && this.aClass43_406.aBool455) {
         this.anInt412 = 339868601 * var1;
         this.aFloat408 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method900(Class326 var1, float var2) throws Exception_Sub4 {
      if(this.method888(-586474747) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aFloat387 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class106 method901() {
      return this.aClass106_391;
   }

   public Class66 method902() {
      return this.aClass66_392;
   }

   public void method903(Class225_Sub14_Sub13 var1, byte var2) {
      this.aClass423_404.method7206(var1, (long)(var1.anInt10559 * 506700809));
   }

   public void method904(int var1, int var2) {
      Class225_Sub14_Sub13 var3 = (Class225_Sub14_Sub13)this.aClass423_404.method7211((long)var1);
      if(null != var3) {
         var3.method3857(-323010323);
      }

   }

   public void method905(float var1, float var2) throws Exception_Sub4 {
      if(!this.method888(-1003160948)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat386 = var1;
         this.aFloat403 = var2;
      }
   }

   public void method906(int var1) {
      this.aClass423_404.method7212(1674269576);
   }

   public boolean method907(short var1) {
      return this.aClass461_390 != null && null != this.aClass66_392?(!this.aClass461_390.method7770((byte)124)?false:this.aClass66_392.method1405((byte)-33)):false;
   }

   float method908(int var1) {
      Class326 var2 = this.method915((byte)-75);
      Class326 var3 = this.method916(363265423);
      float var4 = 0.0F;
      if(null != var2 && null != var3) {
         Class326 var5 = Class326.method5884(var3, var2);
         float var6 = (float)Math.sqrt((double)(var5.aFloat4033 * var5.aFloat4033 + var5.aFloat4036 * var5.aFloat4036));
         var4 = (float)Math.atan2((double)(-var5.aFloat4037), (double)var6);
         var2.method5948();
         var3.method5948();
      }

      return var4;
   }

   public Class30 method909(int var1) {
      return this.aClass30_409;
   }

   public void method910(Class31 var1, Class328 var2, Class317 var3, int var4, int var5, int var6) {
      if(this.aClass461_390 != null && this.aClass66_392 != null) {
         this.aClass461_390.method7775(var1, var2, var4, var5, (byte)-95);
         this.aClass66_392.method1408(var1, var4, var5, 1608132517);
         if(Class108.aClass108_1045 == this.aClass108_388) {
            var3.method5622(this.aFloat414, this.aFloat407, this.aFloat386, this.aFloat403);
         } else {
            var3.method5623(this.aFloat414, this.aFloat407, (float)(this.anInt395 * 87358469));
         }

         Iterator var7 = this.aClass423_404.iterator();

         while(var7.hasNext()) {
            Class225_Sub14_Sub13 var8 = (Class225_Sub14_Sub13)var7.next();
            var8.method16273(var1, var2, var3, (byte)-77);
         }
      }

   }

   public Class326 method911() {
      return this.aClass66_392 == null?null:this.aClass66_392.method1406(969841961);
   }

   public Class326 method912() {
      return this.aClass326_398;
   }

   public Class32 method913(int var1) {
      return this.aClass32_389;
   }

   public Class106 method914(int var1) {
      return this.aClass106_391;
   }

   public Class326 method915(byte var1) {
      if(this.aClass66_392 == null) {
         if(var1 >= 4) {
            ;
         }

         return null;
      } else {
         return this.aClass66_392.method1406(-2075816039);
      }
   }

   Class326 method916(int var1) {
      if(this.aClass461_390 == null) {
         if(var1 == -56063173) {
            ;
         }

         return null;
      } else {
         return this.aClass461_390.method7771(243128136);
      }
   }

   public void method917(boolean var1, boolean var2, int var3) throws Exception_Sub4 {
      if(!this.method888(207880755)) {
         if(var3 == 1548328507) {
            ;
         }

         throw new Exception_Sub4();
      } else {
         this.aBool410 = var1;
         this.aBool411 = var2;
      }
   }

   public float method918(byte var1) {
      Class326 var2 = this.method915((byte)-124);
      Class326 var3 = this.method916(284068695);
      float var4 = 0.0F;
      if(null != var2 && var3 != null) {
         Class326 var5 = Class326.method5884(var2, var3);
         var5.aFloat4037 = 0.0F;
         var4 = (float)Math.atan2((double)var5.aFloat4036, (double)var5.aFloat4033);
         var2.method5948();
         var3.method5948();
      }

      return (float)(3.141592653589793D - (double)var4);
   }

   public void method919(float var1, float var2, byte var3) throws Exception_Sub4 {
      if(!this.method888(-2046236443)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat386 = var1;
         this.aFloat403 = var2;
      }
   }

   public void method920(int var1, float var2, byte var3) throws Exception_Sub4 {
      if(this.method888(867744226)) {
         if(var3 <= 1) {
            ;
         }

         if(this.aClass43_406.aBool455) {
            this.anInt412 = 339868601 * var1;
            this.aFloat408 = var2;
            return;
         }

         if(var3 <= 1) {
            ;
         }
      }

      throw new Exception_Sub4();
   }

   float method921(byte var1) {
      return 0.0F;
   }

   public Class326 method922(int var1) {
      return this.aClass326_400;
   }

   public Class321 method923() {
      Class321 var1 = Class321.method5779();
      var1.method5785(this.method918((byte)17), this.method908(1827033344), this.method921((byte)-23));
      return var1;
   }

   public void method924(boolean var1, float var2, Class326 var3, Class321 var4, Class326 var5, Class326 var6) {
      if(this.aClass43_406 == Class43.aClass43_457) {
         Class310.method5539(var2, var3, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)13);
      } else if(this.aClass43_406 == Class43.aClass43_454) {
         Class477.method8048(var2, var3, var4, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)47);
      } else if(this.aClass43_406 == Class43.aClass43_456) {
         Class202.method3447(var2, var3, var4, var5, var6, var1?this.aClass326_413:this.aClass326_402, var1?this.aFloat405:this.aFloat387, (short)-20309);
      }

   }

   public Class66 method925() {
      return this.aClass66_392;
   }

   public Class326 method926(int var1) {
      return this.aClass326_398;
   }

   public float method927(byte var1) {
      return this.aFloat414;
   }

   public Class32 method928() {
      return this.aClass32_389;
   }

   public boolean method929(int var1) {
      return this.aBool410;
   }

   public boolean method930(byte var1) {
      return this.aBool411;
   }

   void method931(boolean var1) {
      this.aClass108_388 = Class108.aClass108_1045;
      this.aClass32_389 = null;
      this.aClass461_390 = null;
      this.aClass106_391 = null;
      this.aClass66_392 = null;
      if(this.aClass107_397 != Class107.aClass107_1040 && var1) {
         this.aClass30_409 = Class30.aClass30_364;
      } else {
         this.aClass30_409 = Class30.aClass30_365;
      }

      this.aClass43_406 = Class43.aClass43_454;
      this.aClass326_394.method5873(100.0F, 100.0F, 100.0F);
      this.aClass326_398.method5873(100.0F, 100.0F, 100.0F);
      this.aFloat396 = 0.05F;
      this.aClass326_400.method5873(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
      this.aClass326_401.method5873(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
      this.aClass326_402.method5873(1.0F, 1.0F, 1.0F);
      this.aClass326_413.method5873(1.0F, 1.0F, 1.0F);
      this.aFloat387 = 1.1F;
      this.aFloat405 = 1.1F;
      this.aFloat414 = 50.0F;
      this.aFloat407 = 10000.0F;
      this.aFloat403 = 1.5707964F;
      this.aFloat386 = 1.5707964F;
      this.anInt395 = -430820351;
      this.aBool410 = true;
      this.aBool411 = true;
      this.anInt412 = 0;
      this.aFloat408 = 1.0F;
      this.aClass423_404.method7212(1072055374);
   }

   Class35(Class107 var1, Interface1 var2) {
      this.aClass107_397 = var1;
      this.anInterface1_393 = var2;
      this.method882(true, -503107775);
   }

   public Class225_Sub14_Sub13 method932(int var1, int var2) {
      return (Class225_Sub14_Sub13)this.aClass423_404.method7211((long)var1);
   }

   public void method933(boolean var1, float var2, Class326 var3, Class321 var4, Class326 var5, Class326 var6) {
      if(this.aClass43_406 == Class43.aClass43_457) {
         Class310.method5539(var2, var3, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)13);
      } else if(this.aClass43_406 == Class43.aClass43_454) {
         Class477.method8048(var2, var3, var4, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)87);
      } else if(this.aClass43_406 == Class43.aClass43_456) {
         Class202.method3447(var2, var3, var4, var5, var6, var1?this.aClass326_413:this.aClass326_402, var1?this.aFloat405:this.aFloat387, (short)-24744);
      }

   }

   public void method934(boolean var1, float var2, Class326 var3, Class321 var4, Class326 var5, Class326 var6) {
      if(this.aClass43_406 == Class43.aClass43_457) {
         Class310.method5539(var2, var3, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)13);
      } else if(this.aClass43_406 == Class43.aClass43_454) {
         Class477.method8048(var2, var3, var4, var5, var6, var1?this.aClass326_401:this.aClass326_400, var1?this.aClass326_398:this.aClass326_394, (float)(551262857 * this.anInt412), this.aFloat408, (byte)85);
      } else if(this.aClass43_406 == Class43.aClass43_456) {
         Class202.method3447(var2, var3, var4, var5, var6, var1?this.aClass326_413:this.aClass326_402, var1?this.aFloat405:this.aFloat387, (short)-17023);
      }

   }

   public void method935(Class326 var1) throws Exception_Sub4 {
      if(this.method888(-2118165294) && this.aClass43_406.aBool455) {
         this.aClass326_394.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method936(Class326 var1, float var2) throws Exception_Sub4 {
      if(this.method888(-1347241110) && !this.aClass43_406.aBool455) {
         this.aClass326_413.method5894(var1);
         this.aFloat405 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method937(Class30 var1) {
      this.aClass30_409 = var1;
   }

   public void method938(Class31 var1, Class328 var2, Class317 var3, int var4, int var5) {
      if(this.aClass461_390 != null && this.aClass66_392 != null) {
         this.aClass461_390.method7775(var1, var2, var4, var5, (byte)-119);
         this.aClass66_392.method1408(var1, var4, var5, 1713125765);
         if(Class108.aClass108_1045 == this.aClass108_388) {
            var3.method5622(this.aFloat414, this.aFloat407, this.aFloat386, this.aFloat403);
         } else {
            var3.method5623(this.aFloat414, this.aFloat407, (float)(this.anInt395 * 87358469));
         }

         Iterator var6 = this.aClass423_404.iterator();

         while(var6.hasNext()) {
            Class225_Sub14_Sub13 var7 = (Class225_Sub14_Sub13)var6.next();
            var7.method16273(var1, var2, var3, (byte)-46);
         }
      }

   }

   public Class66 method939(Class106 var1, boolean var2) throws Exception_Sub4 {
      if(Class30.aClass30_365 == this.aClass30_409 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass106_391 = var1;
         if(Class106.aClass106_1034 == var1) {
            this.aClass66_392 = new Class66_Sub2(this);
         } else if(Class106.aClass106_1036 == var1) {
            this.aClass66_392 = new Class66_Sub3(this);
         } else if(var1 == Class106.aClass106_1035) {
            this.aClass66_392 = new Class66_Sub1_Sub2(this);
         } else if(var1 == Class106.aClass106_1033) {
            this.aClass66_392 = new Class66_Sub1_Sub1(this);
         }

         return this.aClass66_392;
      }
   }

   public Class66 method940(Class106 var1, boolean var2) throws Exception_Sub4 {
      if(Class30.aClass30_365 == this.aClass30_409 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass106_391 = var1;
         if(Class106.aClass106_1034 == var1) {
            this.aClass66_392 = new Class66_Sub2(this);
         } else if(Class106.aClass106_1036 == var1) {
            this.aClass66_392 = new Class66_Sub3(this);
         } else if(var1 == Class106.aClass106_1035) {
            this.aClass66_392 = new Class66_Sub1_Sub2(this);
         } else if(var1 == Class106.aClass106_1033) {
            this.aClass66_392 = new Class66_Sub1_Sub1(this);
         }

         return this.aClass66_392;
      }
   }

   public Class321 method941() {
      Class321 var1 = Class321.method5779();
      var1.method5785(this.method918((byte)30), this.method908(1827033344), this.method921((byte)-21));
      return var1;
   }

   public Class66 method942(Class106 var1, boolean var2) throws Exception_Sub4 {
      if(Class30.aClass30_365 == this.aClass30_409 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass106_391 = var1;
         if(Class106.aClass106_1034 == var1) {
            this.aClass66_392 = new Class66_Sub2(this);
         } else if(Class106.aClass106_1036 == var1) {
            this.aClass66_392 = new Class66_Sub3(this);
         } else if(var1 == Class106.aClass106_1035) {
            this.aClass66_392 = new Class66_Sub1_Sub2(this);
         } else if(var1 == Class106.aClass106_1033) {
            this.aClass66_392 = new Class66_Sub1_Sub1(this);
         }

         return this.aClass66_392;
      }
   }

   boolean method943() {
      return Class107.aClass107_1040 == this.aClass107_397 && this.aClass30_409 == Class30.aClass30_365?true:Class107.aClass107_1039 == this.aClass107_397 && Class30.aClass30_364 == this.aClass30_409;
   }

   public void method944(float var1) throws Exception_Sub4 {
      if(!this.method888(-595930785)) {
         throw new Exception_Sub4();
      }
   }

   public void method945(Class326 var1, float var2) throws Exception_Sub4 {
      if(this.method888(-1974271265) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aClass326_413.method5894(var1);
         this.aFloat387 = var2;
         this.aFloat405 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method946(float var1) throws Exception_Sub4 {
      if(!this.method888(940940029)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat396 = var1;
      }
   }

   public void method947(float var1) throws Exception_Sub4 {
      if(!this.method888(-78459977)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat396 = var1;
      }
   }

   public void method948(Class326 var1) throws Exception_Sub4 {
      if(this.method888(899668486) && this.aClass43_406.aBool455) {
         this.aClass326_400.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method949(Class326 var1) throws Exception_Sub4 {
      if(this.method888(783816214) && this.aClass43_406.aBool455) {
         this.aClass326_401.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method950(Class326 var1) throws Exception_Sub4 {
      if(this.method888(-605254412) && this.aClass43_406.aBool455) {
         this.aClass326_401.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method951(Class326 var1) throws Exception_Sub4 {
      if(this.method888(606551226) && this.aClass43_406.aBool455) {
         this.aClass326_401.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class461 method952(int var1) {
      return this.aClass461_390;
   }

   public Class66 method953(int var1) {
      return this.aClass66_392;
   }

   public void method954(Class326 var1) throws Exception_Sub4 {
      if(this.method888(-1685163075) && this.aClass43_406.aBool455) {
         this.aClass326_398.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method955(Class326 var1) throws Exception_Sub4 {
      if(this.method888(1208367105) && this.aClass43_406.aBool455) {
         this.aClass326_398.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class225_Sub29 method956() {
      return null == this.aClass66_392?null:this.aClass66_392.method1407((byte)3);
   }

   public void method957(Class326 var1) throws Exception_Sub4 {
      if(this.method888(-2110620861) && this.aClass43_406.aBool455) {
         this.aClass326_394.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method958(Class326 var1, float var2, int var3) throws Exception_Sub4 {
      if(this.method888(-30465609) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aFloat387 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method959(Class326 var1, float var2) throws Exception_Sub4 {
      if(this.method888(271375490) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aFloat387 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method960(Class326 var1, float var2) throws Exception_Sub4 {
      if(this.method888(-1098880688) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aFloat387 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class326 method961(int var1) {
      return this.aClass326_401;
   }

   public void method962(float var1, float var2) throws Exception_Sub4 {
      if(!this.method888(1246674302)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat414 = var1;
         this.aFloat407 = var2;
      }
   }

   public void method963(float var1, float var2) throws Exception_Sub4 {
      if(!this.method888(-2007356765)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat414 = var1;
         this.aFloat407 = var2;
      }
   }

   public void method964(float var1, float var2) throws Exception_Sub4 {
      if(!this.method888(241810064)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat386 = var1;
         this.aFloat403 = var2;
      }
   }

   public float method965(int var1) {
      return this.aFloat396;
   }

   public void method966(float var1) throws Exception_Sub4 {
      if(!this.method888(-1599847986)) {
         throw new Exception_Sub4();
      }
   }

   public void method967(float var1, float var2) throws Exception_Sub4 {
      if(!this.method888(-1649190921)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat386 = var1;
         this.aFloat403 = var2;
      }
   }

   public void method968(int var1, float var2) throws Exception_Sub4 {
      if(this.method888(-181209817) && this.aClass43_406.aBool455) {
         this.anInt412 = 339868601 * var1;
         this.aFloat408 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method969(int var1, float var2) throws Exception_Sub4 {
      if(this.method888(-229312764) && this.aClass43_406.aBool455) {
         this.anInt412 = 339868601 * var1;
         this.aFloat408 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class461 method970(Class32 var1, boolean var2) throws Exception_Sub4 {
      if(this.aClass30_409 == Class30.aClass30_365 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass32_389 = var1;
         if(Class32.aClass32_375 == var1) {
            this.aClass461_390 = new Class461_Sub3(this);
         } else if(var1 == Class32.aClass32_372) {
            this.aClass461_390 = new Class461_Sub2(this);
         } else if(Class32.aClass32_373 == var1) {
            this.aClass461_390 = new Class461_Sub5(this);
         } else if(Class32.aClass32_374 == var1) {
            this.aClass461_390 = new Class461_Sub1_Sub1(this);
         } else if(Class32.aClass32_376 == var1) {
            this.aClass461_390 = new Class461_Sub1_Sub2(this);
         } else if(Class32.aClass32_377 == var1) {
            this.aClass461_390 = new Class461_Sub4(this);
         }

         return this.aClass461_390;
      }
   }

   public void method971(int var1, float var2) throws Exception_Sub4 {
      if(this.method888(741925711) && this.aClass43_406.aBool455) {
         this.anInt412 = 339868601 * var1;
         this.aFloat408 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method972(Class225_Sub14_Sub13 var1) {
      this.aClass423_404.method7206(var1, (long)(var1.anInt10559 * 506700809));
   }

   public Class225_Sub14_Sub13 method973(int var1) {
      return (Class225_Sub14_Sub13)this.aClass423_404.method7211((long)var1);
   }

   public Class225_Sub14_Sub13 method974(int var1) {
      return (Class225_Sub14_Sub13)this.aClass423_404.method7211((long)var1);
   }

   public void method975() {
      this.aClass423_404.method7212(1130900436);
   }

   public void method976() {
      this.aClass423_404.method7212(2056354516);
   }

   public void method977() {
      this.aClass423_404.method7212(711844632);
   }

   public void method978(float var1, float var2, byte var3) throws Exception_Sub4 {
      if(!this.method888(-1810147233)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat414 = var1;
         this.aFloat407 = var2;
      }
   }

   public boolean method979() {
      return this.aClass461_390 != null && null != this.aClass66_392?(!this.aClass461_390.method7770((byte)124)?false:this.aClass66_392.method1405((byte)20)):false;
   }

   public Class30 method980() {
      return this.aClass30_409;
   }

   public Class30 method981() {
      return this.aClass30_409;
   }

   public Class66 method982() {
      return this.aClass66_392;
   }

   public void method983(Class326 var1, byte var2) throws Exception_Sub4 {
      if(this.method888(661442883) && this.aClass43_406.aBool455) {
         this.aClass326_398.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public void method984(float var1, float var2) throws Exception_Sub4 {
      if(!this.method888(-557645171)) {
         throw new Exception_Sub4();
      } else {
         this.aFloat386 = var1;
         this.aFloat403 = var2;
      }
   }

   public Class66 method985() {
      return this.aClass66_392;
   }

   public Class32 method986() {
      return this.aClass32_389;
   }

   public Class32 method987() {
      return this.aClass32_389;
   }

   public Class321 method988(int var1) {
      Class321 var2 = Class321.method5779();
      var2.method5785(this.method918((byte)22), this.method908(1827033344), this.method921((byte)-73));
      return var2;
   }

   public Class32 method989() {
      return this.aClass32_389;
   }

   public Class106 method990() {
      return this.aClass106_391;
   }

   Class326 method991() {
      return this.aClass461_390 == null?null:this.aClass461_390.method7771(243128136);
   }

   public boolean method992() {
      return this.aBool410;
   }

   public Class326 method993() {
      return this.aClass66_392 == null?null:this.aClass66_392.method1406(-975372843);
   }

   public Class326 method994() {
      return this.aClass66_392 == null?null:this.aClass66_392.method1406(-963251729);
   }

   public void method995(Class30 var1, byte var2) {
      this.aClass30_409 = var1;
   }

   public Class326 method996() {
      return this.aClass326_398;
   }

   public Class225_Sub29 method997() {
      return null == this.aClass66_392?null:this.aClass66_392.method1407((byte)3);
   }

   float method998() {
      Class326 var1 = this.method915((byte)-104);
      Class326 var2 = this.method916(163716796);
      float var3 = 0.0F;
      if(null != var1 && null != var2) {
         Class326 var4 = Class326.method5884(var2, var1);
         float var5 = (float)Math.sqrt((double)(var4.aFloat4033 * var4.aFloat4033 + var4.aFloat4036 * var4.aFloat4036));
         var3 = (float)Math.atan2((double)(-var4.aFloat4037), (double)var5);
         var1.method5948();
         var2.method5948();
      }

      return var3;
   }

   float method999() {
      Class326 var1 = this.method915((byte)-30);
      Class326 var2 = this.method916(1088386528);
      float var3 = 0.0F;
      if(null != var1 && null != var2) {
         Class326 var4 = Class326.method5884(var2, var1);
         float var5 = (float)Math.sqrt((double)(var4.aFloat4033 * var4.aFloat4033 + var4.aFloat4036 * var4.aFloat4036));
         var3 = (float)Math.atan2((double)(-var4.aFloat4037), (double)var5);
         var1.method5948();
         var2.method5948();
      }

      return var3;
   }

   public float method1000() {
      Class326 var1 = this.method915((byte)-28);
      Class326 var2 = this.method916(693281053);
      float var3 = 0.0F;
      if(null != var1 && var2 != null) {
         Class326 var4 = Class326.method5884(var1, var2);
         var4.aFloat4037 = 0.0F;
         var3 = (float)Math.atan2((double)var4.aFloat4036, (double)var4.aFloat4033);
         var1.method5948();
         var2.method5948();
      }

      return (float)(3.141592653589793D - (double)var3);
   }

   public Class326 method1001() {
      return this.aClass326_400;
   }

   public void method1002(Class326 var1, float var2) throws Exception_Sub4 {
      if(this.method888(227250786) && !this.aClass43_406.aBool455) {
         this.aClass326_402.method5894(var1);
         this.aFloat387 = var2;
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class321 method1003() {
      Class321 var1 = Class321.method5779();
      var1.method5785(this.method918((byte)4), this.method908(1827033344), this.method921((byte)109));
      return var1;
   }

   public Class321 method1004() {
      Class321 var1 = Class321.method5779();
      var1.method5785(this.method918((byte)106), this.method908(1827033344), this.method921((byte)-48));
      return var1;
   }

   public Class326 method1005() {
      return this.aClass326_400;
   }

   public Class225_Sub29 method1006(int var1) {
      return null == this.aClass66_392?null:this.aClass66_392.method1407((byte)3);
   }

   public void method1007(float var1, int var2) throws Exception_Sub4 {
      if(!this.method888(473232454)) {
         if(var2 >= '\uff00') {
            ;
         }

         throw new Exception_Sub4();
      }
   }

   public Class326 method1008() {
      return this.aClass326_401;
   }

   public Class326 method1009() {
      return this.aClass326_401;
   }

   public Class326 method1010() {
      return this.aClass326_401;
   }

   public float method1011() {
      return this.aFloat396;
   }

   public Class326 method1012() {
      return this.aClass326_394;
   }

   public Class461 method1013(Class32 var1, boolean var2, int var3) throws Exception_Sub4 {
      if(this.aClass30_409 == Class30.aClass30_365 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass32_389 = var1;
         if(Class32.aClass32_375 == var1) {
            this.aClass461_390 = new Class461_Sub3(this);
         } else if(var1 == Class32.aClass32_372) {
            this.aClass461_390 = new Class461_Sub2(this);
         } else if(Class32.aClass32_373 == var1) {
            this.aClass461_390 = new Class461_Sub5(this);
         } else if(Class32.aClass32_374 == var1) {
            this.aClass461_390 = new Class461_Sub1_Sub1(this);
         } else if(Class32.aClass32_376 == var1) {
            this.aClass461_390 = new Class461_Sub1_Sub2(this);
         } else if(Class32.aClass32_377 == var1) {
            this.aClass461_390 = new Class461_Sub4(this);
         }

         return this.aClass461_390;
      }
   }

   public void method1014(Class326 var1, byte var2) throws Exception_Sub4 {
      if(this.method888(898747901) && this.aClass43_406.aBool455) {
         this.aClass326_401.method5894(var1);
      } else {
         throw new Exception_Sub4();
      }
   }

   public Class326 method1015() {
      return this.aClass326_398;
   }

   public float method1016() {
      return this.aFloat407;
   }

   public float method1017() {
      return this.aFloat407;
   }

   public float method1018() {
      return this.aFloat407;
   }

   public Class66 method1019(Class106 var1, boolean var2) throws Exception_Sub4 {
      if(Class30.aClass30_365 == this.aClass30_409 && !var2) {
         throw new Exception_Sub4();
      } else {
         this.aClass106_391 = var1;
         if(Class106.aClass106_1034 == var1) {
            this.aClass66_392 = new Class66_Sub2(this);
         } else if(Class106.aClass106_1036 == var1) {
            this.aClass66_392 = new Class66_Sub3(this);
         } else if(var1 == Class106.aClass106_1035) {
            this.aClass66_392 = new Class66_Sub1_Sub2(this);
         } else if(var1 == Class106.aClass106_1033) {
            this.aClass66_392 = new Class66_Sub1_Sub1(this);
         }

         return this.aClass66_392;
      }
   }

   public boolean method1020() {
      return this.aBool411;
   }

   public static void method1021(byte var0) {
      Class110.method2207(541815699);
      Class532.aClass510_Sub2_7217.method10817('\u8000');
      Class532.aClass510_Sub1_7221.method10817('\u8000');
      Class225_Sub15 var1;
      int var2;
      if(client.anInt7681 * 1876024789 > 0) {
         var1 = Class543.method11415(OutgoingOpcode.aClass302_3843, client.aClass180_7704.aClass433_2184, (byte)1);
         var1.buffer.writeShort(-1085835436 * client.anInt7681, 1060857377);

         for(var2 = 0; var2 < 1876024789 * client.anInt7681; ++var2) {
            Interface56 var3 = client.anInterface56Array7682[var2];
            long var4 = var3.method292(841519391) - -5099631261453911383L * Class532.aLong7222;
            if(var4 > 16777215L) {
               var4 = 16777215L;
            }

            Class532.aLong7222 = var3.method292(-274609697) * -1026127147123521127L;
            var1.buffer.writeByte(var3.method87(-1471505673), -765864773);
            var1.buffer.method13705((int)var4, -1150423256);
         }

         client.aClass180_7704.method3191(var1, (byte)1);
      }

      if(Class532.anInt7218 * 883906689 > 0) {
         Class532.anInt7218 -= 382265217;
      }

      if(client.aBool7928 && Class532.anInt7218 * 883906689 <= 0) {
         Class532.anInt7218 = -944630252;
         client.aBool7928 = false;
         var1 = Class543.method11415(OutgoingOpcode.aClass302_3841, client.aClass180_7704.aClass433_2184, (byte)1);
         var1.buffer.writeShortA((int)client.aFloat7750 >> 3, -594177384);
         var1.buffer.writeLEShortA((int)client.aFloat7749 >> 3, (byte)1);
         client.aClass180_7704.method3191(var1, (byte)50);
      }

      if(Class541.aBool7320 != Class532.aBool7219) {
         Class532.aBool7219 = Class541.aBool7320;
         var1 = Class543.method11415(OutgoingOpcode.aClass302_3858, client.aClass180_7704.aClass433_2184, (byte)1);
         var1.buffer.writeByte(Class541.aBool7320?1:0, -765864773);
         client.aClass180_7704.method3191(var1, (byte)110);
      }

      if(!client.aBool7758) {
         var1 = Class543.method11415(OutgoingOpcode.aClass302_3799, client.aClass180_7704.aClass433_2184, (byte)1);
         var1.buffer.writeByte(0, -765864773);
         var2 = var1.buffer.position * -543666943;
         RS2Buffer var6 = Class500.aClass225_Sub6_5953.method13500(-1196317862);
         var1.buffer.method13714(var6.buffer, 0, -543666943 * var6.position, -1053918361);
         var1.buffer.method13717(-543666943 * var1.buffer.position - var2, -1281278168);
         client.aClass180_7704.method3191(var1, (byte)103);
         client.aBool7758 = true;
      }

   }

   static final void method1022(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1911040536);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class225.method3867(var3, var4, var0, 708698572);
   }

   static void method1023(int var0, String var1, boolean var2, int var3) {
      Class73.method1589(-212917196);
      Class66_Sub1.method13045((byte)14);
      Class473.method7933((byte)-33);
      Class331_Sub1.method14296(var0, var1, var2, -1990327053);
      Class472.aClass304_5793.method5396((byte)56);
      Class472.aClass304_5793.method5408(client.anInterface31_7691, -1734746989);
      Class538.method11324(Class428.aClass545_5383, 1935317347);
      Class220.method3784(Class428.aClass545_5383, Class485.aClass253_5890, (byte)-27);
      Class160.method2819(2092907430);
      Class8.method656(Class181.aClass171Array2198, 1541617335);
      Class225_Sub21_Sub9.method15659(987209610);
      Class203.method3454(798710940);
      if(9 == 1881519639 * client.anInt7734) {
         Class332.method6157(1, 252449070);
      } else if(15 == client.anInt7734 * 1881519639) {
         Class332.method6157(3, 467949216);
      } else if(18 == client.anInt7734 * 1881519639) {
         Class332.method6157(10, -2000462600);
      } else if(client.anInt7734 * 1881519639 == 2) {
         Class332.method6157(19, -1826520302);
      } else if(17 != 1881519639 * client.anInt7734 && 1881519639 * client.anInt7734 != 5) {
         if(1881519639 * client.anInt7734 == 12) {
            Class332.method6157(14, -2056215883);
         } else if(19 == 1881519639 * client.anInt7734) {
            Class14.method734(false, -1838770487);
         }
      } else {
         Class310.method5536(-733651335);
      }

   }

   static void method1024(Class508 var0, int var1) {
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = Class453.aClass511_5677.method10849(var0.anIntArray6027[var0.anInt6003 * -937710807 - 2], -221730388).aStringArray6064[var0.anIntArray6027[-937710807 * var0.anInt6003 - 1]];
      var0.anInt6003 -= 196624946;
   }

   static final void method1025(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      Class392.method6727(Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113, var0.anIntArray6027[var0.anInt6003 * -937710807], var0.anIntArray6027[var0.anInt6003 * -937710807 + 1], '\u8571');
   }
}
